Page MenuHomePhabricator

PHPUnit fails on PHP 7.1 and HHVM 3.18 (1 failure: McrRevisionStoreDbTest)
Closed, ResolvedPublic

Description

https://travis-ci.org/wikimedia/mediawiki/jobs/392321537

https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/416465/ / T174024

The builds were passing before this commit and started failing after it.

There was 1 failure:
1) MediaWiki\Tests\Storage\McrRevisionStoreDbTest::testInsertRevisionOn_successes with data set "Multi-slot revision insertion" (array(array(WikitextContent Object (...), TextContent Object (...)), true, CommentStoreComment Object (...), '20171117010101', true))
Failed asserting that two arrays are equal.
--- Expected
+++ Actual
@@ @@
 Array (
-    0 => 'main'
-    1 => 'aux'
+    0 => 'aux'
+    1 => 'main'
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/Storage/RevisionStoreDbTestBase.php:277
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/Storage/RevisionStoreDbTestBase.php:415

Event Timeline

Krinkle created this task.Jun 14 2018, 9:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 14 2018, 9:19 PM
Krinkle updated the task description. (Show Details)
Krinkle edited projects, added MW-1.32-release; removed MW-1.33-release.
Reedy renamed this task from [Regresion] PHPUnit fails on PHP 7.1 and HHVM 3.18 (1 failure: McrRevisionStoreDbTest) to PHPUnit fails on PHP 7.1 and HHVM 3.18 (1 failure: McrRevisionStoreDbTest).Jun 14 2018, 11:47 PM
Reedy added a project: Regression.

Noooooooooooooooooooooooo :'(

Change 440513 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Ignore order of lot roles in test assertions

https://gerrit.wikimedia.org/r/440513

Change 440513 merged by jenkins-bot:
[mediawiki/core@master] Ignore order of slot roles in test assertions

https://gerrit.wikimedia.org/r/440513

Should be fixed now, please confirm.

Krinkle closed this task as Resolved.Jun 15 2018, 12:20 PM
Krinkle assigned this task to daniel.

Confirmed. Thanks :)

Vvjjkkii renamed this task from PHPUnit fails on PHP 7.1 and HHVM 3.18 (1 failure: McrRevisionStoreDbTest) to kzaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed daniel as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Krinkle renamed this task from kzaaaaaaaa to PHPUnit fails on PHP 7.1 and HHVM 3.18 (1 failure: McrRevisionStoreDbTest).Jul 1 2018, 11:58 PM
Krinkle closed this task as Resolved.
Krinkle claimed this task.
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Aklapper.
CommunityTechBot reassigned this task from Krinkle to daniel.Jul 5 2018, 7:02 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.